#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
%global		okver		%(echo %{release} | cut -d '.' -f1-2)
#-----------------------------------------------------------------------------
Name		:	installok
Version		:	1.3.0.1
Release		:	14.8.0.0%{?dist}
Summary		:	shell script installer
Group		:	System Environment/Libraries

Packager	:	Jean-Marc Pigeon	<jmp@safe.ca>

License		:	GPLv2+
URL		:	http://www.osukiss.org

Source0		:	%{name}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildArch	:	noarch
#-----------------------------------------------------------------------------
Requires	:	bc
Requires	:	coreutils
Requires	:	dialog
Requires	:	dosfstools
Requires	:	e2fsprogs
Requires	:	grub
Requires	:	gptfdisk
Requires	:	os-prober
Requires	:	parted
Requires	:	util-linux
Requires	:	sed
Requires	:	smartmontools

#-----------------------------------------------------------------------------
%description
script to install osukiss on storage device
Automatically started when login as root

#-----------------------------------------------------------------------------
%files			
%defattr(-, root,root,-)
/root/%{name}/langkey
/root/%{name}/locale/*/LC_MESSAGES/%{name}.mo
%config(noreplace) /root/%{name}/repoloc/%{okver}
/root/%{name}/repoloc/empty/*
/root/%{name}/shell/*.sh
/root/%{name}/shell/diskhyb
/root/%{name}/shell/diskpart
/root/%{name}/shell/raidpart
/root/%{name}/yum.conf
/root/%{name}/yum.repos.d/*
#-----------------------------------------------------------------------------

%post
#to activate startup when root is logged
/bin/echo                                               \
	"/root/installok/shell/startup.sh"	>>	\
	/root/.bash_profile

%preun
sed -i							\
  	-e ":/root/installok/shell/startup.sh: d"	\
	/root/.bash_profile


#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build

sed -i								\
  -e "/RELEASEVER/cRELEASEVER=${OKNUM}"				\
  shell/conf.sh

#adjusting repoloc contents
find repoloc -type l -exec rm {} \;
%{__ln_s} empty repoloc/%{okver}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install

%{__rm} -rf %{buildroot}
%{__make} DESTDIR="%{buildroot}" install

%{__rm} -fr %{buildroot}/root/%{name}/pot

#-----------------------------------------------------------------------------
%changelog
